from pydantic import BaseModel


class DesignModel(BaseModel):
    objects: list[dict]
    process_id: str


class DesignStreamModel(BaseModel):
    objects: list[dict]
    process_id: str
    requestId: str
    callback_url: str


class DesignProgressModel(BaseModel):
    process_id: str


class ModelProgressModel(BaseModel):
    model_path: str


class DBGConfigModel(BaseModel):
    tasks_id: str
    user_id: str
    file_name: str
    total: int
